Bug 54934 - Apache is crashing intermittently with a message "Parent: child process exited with status 3221225477 -- Restarting" and also with Parent: child process exited with status 255 -- Restarting. Apache is running on windows.We are neither using php nor mysql.
Summary: Apache is crashing intermittently with a message "Parent: child process exite...
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.22
Hardware: PC Windows XP
: P2 critical (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2013-05-07 14:28 UTC by seer
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description seer 2013-05-07 14:28:07 UTC
Apache is crashing intermittently with a message "Parent: child process exited with status 3221225477 -- Restarting" and sometimes with this message "Parent: child process exited with status 255 -- Restarting." Apache is running on windows.We are neither using php nor mysql. We have a communique dispatcher configured that would dispatch the requests to Adobe communique server. I would appreciate it if you would let us know when apache would throw this kind of exception. Any pointers regarding this issue would be greatly appreciated.
Comment 1 Jorge F. Hernandez 2013-07-11 20:53:37 UTC
I am getting the same error with httpd 2.4.4 x64 with php 5.5 and mysql 5.6, I never got it on httpd 2.2.22 with php 5.4 and mysql 5.5

All my error log says is:

[Thu Jul 11 16:46:21.080564 2013] [mpm_winnt:notice] [pid 1928:tid 552] AH00428: Parent: child process 7628 exited with status 255 -- Restarting.

Thanks.
Comment 2 Eric Covener 2014-01-20 00:12:48 UTC
You'll have to configure the OS to capture dumps for crashes, and do a basic analysis with windbg.
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:35 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.